Bug 197679 - Kernel 2.6.9-34.0.1.ELsmp GCC version and EL4 installed GCC do not match
Kernel 2.6.9-34.0.1.ELsmp GCC version and EL4 installed GCC do not match
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 10:47 EDT by Martti Leppänen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 16:46:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fujitsu Siemns server management kernel modules srcrpm (312.97 KB, application/x-rpm)
2006-07-06 05:29 EDT, Martti Leppänen
no flags Details

  None (edit)
Description Martti Leppänen 2006-07-05 10:47:28 EDT
Description of problem:

In the (now) newest kernel 2.6.9-34.0.1.ELsmp the compile time gcc version is:

> dmesg | grep -i gcc
Linux version 2.6.9-34.0.1.ELsmp (bhcompile@hs20-bc1-7.build.redhat.com) (gcc 
version 3.4.6 20060404 (Red Hat 3.4.6-2)) #1 SMP Wed May 17 17:05:24 EDT 2006

And the installed newest gcc is:

> gcc -v
gcc version 3.4.5 20051201 (Red Hat 3.4.5-2)

Thus compiling modules for the kernel becomes impossible. The gcc-3.4.6-2 is 
not available as an rpm as far as I can find.

Version-Release number of selected component (if applicable):

2.6.9-34.0.1.ELsmp (bhcompile@hs20-bc1-7.build.redhat.com) (gcc version 3.4.6 
20060404 (Red Hat 3.4.6-2))

How reproducible:

By installing the normal install of RH EL4 AS and updating it with up2date

Steps to Reproduce:
1. Install RH EL4 AS
2. Update with up2date
Comment 1 Jason Baron 2006-07-05 16:46:13 EDT
The newer version of gcc should not affect the the compatability of kernel
modules...if you can point to a specific problem please re-open.
Comment 2 Martti Leppänen 2006-07-06 05:29:11 EDT
Created attachment 131989 [details]
Fujitsu Siemns server management kernel modules srcrpm

This RPM contains sources for 3 modules for the 2.6.9 kernel. They compile fine
in Redhat EL4 AS, but when I tried to load them, I get an error:
insmod: error inserting '/lib/modules/2.6.9-34.0.1.ELsmp/srvmagt/copa.ko': -1
Invalid module format

I got the same error when trying to compile bmcsensors-26
(http://bmcsensors-26.sourceforge.net/) module to the kernel.

I suspected this might come from the version differences in gcc, but apparently
it is somewhere else?

Note You need to log in before you can comment on or make changes to this bug.